Package org.apache.sling.caconfig.management

# Interface ConfigurationCollectionData

@ProviderType public interface ConfigurationCollectionData
Provides access to the configuration collection data and metadata for a given context path.

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getConfigName()`
Get configuration name.
`@NotNull Collection<ConfigurationData>`
`getItems()`
`@NotNull Map<String,Object>`
`getProperties()`
`@Nullable String`
`getResourcePath()`

## Method Details

### getConfigName

@NotNull @NotNull String getConfigName()
Get configuration name.

Returns:
  Configuration name

### getItems

@NotNull @NotNull Collection<ConfigurationData> getItems()

Returns:
  Configuration collection items

### getResourcePath

@Nullable @Nullable String getResourcePath()

Returns:
  Path of the configuration collection resource parent path or null if it cannot be determined.

### getProperties

@NotNull @NotNull Map<String,Object> getProperties()

Returns:
  Properties for the configuration collection itself. Does not contain configuration data, but control data e.g. for enabling collection inheritance.